<?php
require'fun.php';
require'f_conectare.php';
conectare('schimba nume','schimba-nume');
$titlu='Schimbă nume';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
if($de>0)
require'f_nou.php';
echo$div[4].img('setari.png',2).'Schimbă nume'.$div[5];
if($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$de.'"&&`valid`>0')->fetch_row()[0]>0)
{
$timp=$conn->query('SELECT`data`FROM`istoric_nume`WHERE`de`="'.$de.'"ORDER BY`id`DESC LIMIT 1')->fetch_row()[0]+(7*86400);
require'f_ramas.php';
$potimsg=ramas($timp-$_SERVER['REQUEST_TIME']);
}
else
$timp=1;
if($timp>$_SERVER['REQUEST_TIME'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Poti schimba numele o data la 7 zile!<br />Urmatoarea schimbare a numelui o poți face peste '.$potimsg.$div[0];
else
{
if($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$de.'"&&`valid`="0"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai trimis o cerere de schimbare a numelui!'.$div[0];
else
{
echo$div[10].'<strong>Atentie!!!</strong><br />Urmatoarea schimbare de nume, o vei mai putea face doar peste 7 zile!<br />Gândește-te bine inainte de a-ți modifica numele!!!<br /><br />Numele trebuie să fie format doar din litere <strong>A-Za-z</strong>, diacritice <strong>ĂăÂâÎîȘșȚțŞşŢţ</strong>, cifre <strong>0-9</strong> și cele doua semne: <strong>-</strong> (cratima) și <strong>_</strong> (underline).<br />Sub nici o forma nu se vor folosi alte caractere: semne speciale, etc.<br />Trebuie să conțină minim 4 caractere, maxim 15 caractere și primul caracter să fie o litera, iar ultimul o literă sau o cifră.<br /><br />Nu se accepta nume de genul a---mihai, cristi____, crys_-a-_ sau alte combinatii ciudate ale semnelor <strong>-</strong> și <strong>_</strong>!<br />Administratorii le vor refuza<br /><br />Nu alege un nume indecent, de personalitati, obscen sau asemanator cu al administratorilor!<br />El nu va fi acceptat și risti penalizari!<br /><br />Nume actual:<br /><strong>'.nume($de).'</strong>'.$div[0];
$form[0]='/schimba-numele" method="post';
$form[1]=0;
$form[2]=$div[1].'Nume nou:<br /><input name="nume" maxlength="15" />'.$div[0];
$form[3]='nume';
$form[4]='Confirma';
require'f_form.php';
}
}
require'f_jos.php';